=== src/tests/CMakeLists.txt ===
##############################################################################
# Subdirectories
##############################################################################

add_subdirectory(gtests)
