=== debian/control ===
Source: ros-indigo-cost-map-ros
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libopencv-dev, libyaml-cpp-dev, ros-indigo-catkin, ros-indigo-cost-map-core, ros-indigo-cost-map-msgs, ros-indigo-costmap-2d, ros-indigo-ecl-build, ros-indigo-ecl-command-line, ros-indigo-ecl-console, ros-indigo-grid-map-core, ros-indigo-grid-map-costmap-2d, ros-indigo-grid-map-ros, ros-indigo-grid-map-visualization, ros-indigo-nav-msgs, ros-indigo-roslib
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-cost-map-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libopencv-dev, libyaml-cpp-dev, ros-indigo-cost-map-core, ros-indigo-cost-map-msgs, ros-indigo-costmap-2d, ros-indigo-ecl-build, ros-indigo-ecl-command-line, ros-indigo-ecl-console, ros-indigo-grid-map-core, ros-indigo-grid-map-costmap-2d, ros-indigo-grid-map-ros, ros-indigo-grid-map-visualization, ros-indigo-nav-msgs, ros-indigo-roslib
Description: Cost maps, following the style of ethz-asl's grid_map library.
